# FSF Holiday Giving Guide README

## Deployment
The git repo holding the live copy of the site is in the master branch.

## Adding images
Make sure that, for side-by-side comparisons, both images are a similar height

## Developing using Python
The guide is a simple static web page.  To view it in your browser,
run `make` at the root of the source tree, then visit
`localhost:8000`.  The `Makefile` relies on Python for starting the
development web server, but it's trivial to serve the page using the
web server of your preference if you do not have Python.


# Guidelines for future use
---
## Images:

* If it's a logo then ALWAYS export the images from its VECTOR (.svg, .eps, .pdf) source. If a vector source isn't available, use a very large image and scale it down.

* Do not put a logo next to a product or vice-versa, Always use images with the same nature (i.e. product versus product; logo versus logo)

* Charities' logos should be exported to 580px × 580px, transparent PNG

* Products' images, "good" or "naughty" should be put inside transparent, square PNG files at 350px × 350px, and a padding consistent with existing images.

## BUY/GET button

* Copy the entire block of code including the two lines for comments before and after the Divs.

* Paste it just after the **h5** line.

* Append a unique string to the `id` `href` `aria-controls` of the **a** elements, as well as the `id` of the next div and the content of `document.getElementById('...')` so that all have the same text. Example: `get-iem-smartphone` `get-item-compact` ...

* Change the content of the Anchor link **a** and its `href` attributes to link to different sellers.

* If the product has only one source use this code instead:

`<a class="btn get-item" role="button" href="#">BUY</a>`


## General Best Practices

* Resist the urge to add another list-element **li** to announce a SALE, a BONUS, or anything unrelated to being a PROS or CONS. Instead use the SALE triangle, and Bootstrap's *alert* (Check its documentation, or existing code if unsure)

* Avoid using very long titles as they tend to wrap into multiple lines on mobile devices. Be concise.
